Skip to content

Starter templates, saved templates, saved sections and the last sent campaign

GET
/api/v1/workspaces/{workspace}/templates
curl --request GET \
--url 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/templates?mode=regular' \
--header 'Authorization: Bearer <token>'

Permission: templates:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

mode
string
default: regular
Allowed values: regular digest

OK

Media typeapplication/json
object
lastCampaign
object
id
required
string
name
required
string
sentAt
required
string format: date-time
thumb
required
Array<object>
object
accent
boolean
h
integer format: int64
row
Array<object> recursive
w
integer format: int64
sections
required
Array<object>
object
builtin
required
boolean
description
required
string
id
required
string
kind
required
string
Allowed values: template section
name
required
string
sizeBytes
required
integer format: int64
sourceCampaignId
string
thumb
required
Array<object>
object
accent
boolean
h
integer format: int64
row
Array<object> recursive
w
integer format: int64
updatedAt
string format: date-time
updatedBy
string
starters
required
Array<object>
object
builtin
required
boolean
description
required
string
id
required
string
kind
required
string
Allowed values: template section
name
required
string
sizeBytes
required
integer format: int64
sourceCampaignId
string
thumb
required
Array<object>
object
accent
boolean
h
integer format: int64
row
Array<object> recursive
w
integer format: int64
updatedAt
string format: date-time
updatedBy
string
templates
required
Array<object>
object
builtin
required
boolean
description
required
string
id
required
string
kind
required
string
Allowed values: template section
name
required
string
sizeBytes
required
integer format: int64
sourceCampaignId
string
thumb
required
Array<object>
object
accent
boolean
h
integer format: int64
row
Array<object> recursive
w
integer format: int64
updatedAt
string format: date-time
updatedBy
string

Example

{
"sections": [
{
"id": "starter:weekly-digest",
"kind": "template"
}
],
"starters": [
{
"id": "starter:weekly-digest",
"kind": "template"
}
],
"templates": [
{
"id": "starter:weekly-digest",
"kind": "template"
}
]
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}